CANCEL(1)

NAME
cancel - send cancel requests to an LPRng print service

SYNOPSIS
cancel [ -P printer ] [ -D debug-options ]
[ request-ID... ]

DESCRIPTION

The LPRng lprm client supports an cancel interface when invoked with an cancel program name. This is similar to the ex(1) and vi(1) programs. The supported form of the cancel command arranges for the named jobs to be removed from the specified print queues. The action is identical to that of lprm(1), including the options, with the difference that the last argument on the command line can be an optional printer name. If the name does not appear in the LPRng printcap database, then the name is assumed to be a job identifier.

The format of request-ID should be either the identifier field value or the job number reported by LPQ.

OPTIONS

-P printer
    printer name. This is an alternate way of specifying the printer. The last argument is still checked to see if it has a printcap entry.

-D debug-options
    Debug options for the program.

OPERANDS
The following operands are supported by cancel:

ID  A request ID, as returned by lp. Specifying a request ID cancels the associated request even if it is currently printing.

printer
    A printer name (for a complete list of printer names, use lpq). Specifying a printer cancels the request that is currently printing on that printer.

ENVIRONMENT
See environ(5) for descriptions of the following environment variables that affect the execution of cancel:

LPDEST
    Determine the spool queue. If the LPDEST environment variable is not set, the PRINTER environment variable will be used. The -P dest option takes precedence over LPDEST. Results are undefined when -P is not specified and LPDEST contains a value that is not a valid device or destination name.

PRINTER
    Determine the output device or destination. If the LPDEST and PRINTER environment variables are not set, an unspecified output device is used. The -P dest option and the LPDEST environment variable takes precedence over PRINTER. Results are undefined when -P is not specified, LPDEST is unset, and PRINTER contains a value that is not a valid device or destination name.

EXIT STATUS
The following exit values are returned by cancel:

0   Successful completion.

>0  An error occurred.

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY

LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. In 1988 Patrick Powell released the PLP (Public Line Printer) software, which went through several evolutions. Justin Mason (jmason@iona.ie) generated PLP4.0 from several older releases of PLP. In 1992 Patrick Powell release LPRng, a completely redesigned and newly written version of the software.

The LPRng mailing list is plp@iona.ie; subscribe by sending mail to plp-request@iona.ie with the word subscribe in the body. The software is available from ftp://iona.ie/pub/LPRng.

LPRng is distributed under the GNU software license for non-commercial use, the Artistic License for limited commercial use. Commerical support and licensing is available through Patrick Powell <papowell@sdsu.edu>.